package com.eni.android.webview;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.os.Bundle;
import android.webkit.WebSettings;
import android.webkit.WebView;

public class Ch8_WebViewPageDistanteExampleActivity extends Activity {

	private static final String TUTOS_ANDROID = "http://www.tutos-android.com";

	@SuppressLint("SetJavaScriptEnabled")
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		WebView webView = (WebView) findViewById(R.id.webview);
		WebSettings settings = webView.getSettings();
		settings.setBuiltInZoomControls(true);
		/*Attention, l'activation du JavaScript peut entrainer des vulnerabilites sur vos applications*/
		settings.setJavaScriptEnabled(true);
		webView.loadUrl(TUTOS_ANDROID);
	}
}